---
description: Seo Vitals command
---

# SEO Core Web Vitals

Google PageSpeed Insights and Core Web Vitals analysis.

## Triggers
- "check page speed", "Core Web Vitals", "PageSpeed audit"

## Capabilities

1. **Performance Metrics** - LCP, FID, CLS scores
2. **Mobile/Desktop** - Separate analysis for each
3. **Optimization Tips** - Actionable recommendations
4. **Historical Tracking** - Compare over time

## Scripts

```bash
# Analyze single URL
python /Users/ourdigital/Project/our-claude-skills/custom-skills/14-seo-core-web-vitals/code/scripts/pagespeed_client.py \
  --url https://example.com

# Mobile and desktop
python /Users/ourdigital/Project/our-claude-skills/custom-skills/14-seo-core-web-vitals/code/scripts/pagespeed_client.py \
  --url https://example.com --strategy both

# Batch analysis
python /Users/ourdigital/Project/our-claude-skills/custom-skills/14-seo-core-web-vitals/code/scripts/pagespeed_client.py \
  --urls urls.txt --output vitals_report.json
```

## Environment
- `PAGESPEED_API_KEY` - Google API key (optional, higher quota)

## Metrics Explained

| Metric | Good | Needs Improvement | Poor |
|--------|------|-------------------|------|
| LCP | ≤2.5s | 2.5-4s | >4s |
| FID | ≤100ms | 100-300ms | >300ms |
| CLS | ≤0.1 | 0.1-0.25 | >0.25 |
